ジョブ
ジョブの状態を取得
ジョブの状態を取得。
GET
/v1/creative/jobs/{id}/status
curl --request GET 'https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY"{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "IN_QUEUE", "orchestor_status": "queued", "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "queue": { "state": "waiting", "reason": "キューで待機中です。", "position": null, "available_at": "2026-11-06T00:00:00Z", "retry_after_seconds": null, "runtime": { "job_ledger_configured": true, "worker_configured": true, "worker_heartbeat": { "status": "fresh", "last_seen_at": "2026-11-06T00:00:00Z", "stale_after_seconds": 60 } } }, "queue_position": null, "logs_available": true }}認証
認証の詳細
bearer
レスポンス
application/json
進行状況と次の操作。terminal が true なら状態確認を終了し、result_ready が true のとき result_url を取得します。
ヘッダー
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "IN_QUEUE", "orchestor_status": "queued", "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "queue": { "state": "waiting", "reason": "キューで待機中です。", "position": null, "available_at": "2026-11-06T00:00:00Z", "retry_after_seconds": null, "runtime": { "job_ledger_configured": true, "worker_configured": true, "worker_heartbeat": { "status": "fresh", "last_seen_at": "2026-11-06T00:00:00Z", "stale_after_seconds": 60 } } }, "queue_position": null, "logs_available": true }}